---
---

@import 'alumni';
@import 'bootstrap-custom';
@import 'colours';
@import 'fonts';
@import 'footer';
@import 'header';
@import 'icons';
@import 'interested';
@import 'navbar';
@import 'social-media';

html {
    font-family: $branded_fonts;
    font-size: 100%;  /* 1rem = 16px */
    font-weight: $weight_normal;
    text-transform: none;
    -webkit-tap-highlight-color: $white_trans_0;
    -ms-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
}

@media all and (min-width: 25em) {
    html {
        font-size: 112.5%;  /* 1rem = 18px */
    }
}

body {
    color: $dark_grey;
    background: $light_grey;
    font-family: $branded_fonts;
    font-weight: $weight_normal;
    font-size: var(--scale0);
    text-transform: none;
    margin: 0;
    padding-top: $navbar-height;
    -webkit-font-smoothing: antialiased;
}

section {
    overflow: hidden;
}

a {
    color: $brand_secondary;
    text-decoration: none;
    outline: 0;
    margin-left: 1px;
    margin-right: 1px;
    &:active,
    &:hover {
        color: $white;
        background-color: $brand_secondary;
        text-decoration: none;
        outline: 0;
    }
}

/* Anchors over non-text elements should not hover. */
.no-hover {
    a {
        color: inherit;
        background-color: inherit;
        margin: 0 0 0 0;
        &:active,
        &:hover { }
    }
}

.home__hlite {
    color: $white;
    background-color: $brand_secondary;
    font-weight: $weight_bold;
    font-size: var(--scale1);
    margin: 0 20px 30px;
    a {
        color: $white;
        text-decoration: underline;
        outline: 0;
        margin-left: 1px;
        margin-right: 1px;
        &:active,
        &:hover {
            color: $brand-secondary;
            background-color: $white;
            text-decoration: underline;
            outline: 0;
        }
    }
}

.home__text {
    margin: 20px 20px;
}

.home__client--logo {
    padding-left: 75px;
}

@media only screen and (max-width:767px) {
    .home__client--logo {
        padding-left: 0px;
    }
}

.home__client--row {
    margin: 0px -70px;
    padding: 12px 0px;
}

@media only screen and (max-width:767px) {
    .home__client--row .col-xs-12 {
        margin: 14px 0px;
    }
}

.home__client--gcg {
    margin-top: 50px;
}

.home__client--bcc {
    margin-top: 31px;
}

.home__client--cffl {
    margin-top: 15px;
}

.home__client--nhs {
    margin-top: 35px;
}

::-moz-selection {
    background: $brand_secondary;
    color: $white;
}

::selection {
    background: $brand_secondary;
    color: $white;
}

p {
    line-height: 1.7em;
    margin: 10px 0;
    text-align: left;
}

@media all and (min-width: 1200px) {
    p {
        margin: 20px 0;
    }
}

.dark,
.dark h1,
.dark h2,
.dark h3,
.dark h4 {
    color: $white;
}
.dark p {
    color: $dark_foreground;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
    font-kerning: none;
}

h1 {
    color: $black;
    font-family: $branded_fonts;
    font-size: var(--scale2);
    font-weight: $weight_bold;
    text-transform: none;
    line-height: 1.7em;
    padding: 20px 0 0;
    text-align: center;
}

h1.index, h2 {
    font-family: $branded_fonts;
    font-weight: $weight_bold;
    font-size: var(--scale1);
    text-transform: none;
    line-height: 1.7em;
    text-align: center;
}

@media all and (max-width:767px) {
    h1.index, h2 {
        color: $white;
        background-color: $brand_primary;
        padding: 5px 0;
        border-radius: 25px;
    }
}

@media all and (min-width:768px) {
    h1.index, h2 {
        color: $white;
        background-color: $brand_primary;
        padding: 10px 0 10px;
        /* top right bottom left */
        margin: 15px 50px 15px 50px;
        border-radius: 25px;
    }
}

h3 {
    color: $header_foreground;
    font-family: $branded_fonts;
    font-weight: $weight_bold;
    font-size: var(--scale0);
    text-transform: none;
    text-align: center;
    line-height: 1em;
    padding: 15px 0 10px;
    text-align: center;
}

h4 {
    color: $header_foreground;
    font-family: $branded_fonts;
    font-weight: $weight_bold;
    font-size: var(--scale0);
    text-transform: none;
    padding-bottom: 15px;
    line-height: 1em;
    text-align: center;
}

.relative {
    position: relative;
}

.center {
    text-align: center;
    ul {
        list-style-position: inside;
        display: inline-block;
    }
}

.padded {
    padding-top: 30px;
    padding-bottom: 30px;
}

.padded-top {
    padding-top: 30px;
}

.padded-bottom {
    padding-bottom: 30px;
}

.block {
    margin-bottom: 20px;
}

.full {
    display: block;
    position: relative;
    width: 100%;
    background-position: center;
    background-size: cover;
}

.line {
    display: block;
    margin: 0 auto;
    width: 35px;
    height: 1px;
    margin-top: 10px;
}

.line.no-accent {
    margin-top: 15px;
    margin-bottom: 15px;
    background: $light_grey;
}

.separator {
    position: absolute;
    display: none;
    width: 1px;
    height: 100%;
    background: $light_grey;
    top: 0;
    left: 50%;
}

@media all and (min-width: 767px) {
    .separator {
        display: block;
    }
    .line.no-accent {
        margin-top: 20px;
    }
}

@media all and (min-width: 1200px) {
    .padded {
        padding-top: 40px;
        padding-bottom: 40px;
    }
    .padded-top {
        padding-top: 40px;
    }
    .padded-bottom {
        padding-bottom: 40px;
    }
    .block {
        margin-bottom: 30px;
    }
    .line.no-accent {
        margin-top: 30px;
    }
}

.tooltip {
    position: fixed;
}

.tooltip, .tooltip-inner {
    font-size: var(--scale0);
}


.clearfix:after,
.clearfix:before,
.container-fluid:after,
.container-fluid:before,
.container:after,
.container:before,
.row:after,
.row:before {
    content: " ";
    display: table;
}

.justify {
    text-align: left;
}

/* Responsive img classes. */
@media all and (max-width: 749px) {
    .responsive750 {
        width: 100%;
    }
}

@media all and (min-width: 750px) {
    .responsive750 {
        width: 750px;
    }
}

@media all and (max-width: 499px) {
    .responsive500 {
        width: 100%;
    }
}

@media all and (min-width: 500px) {
    .responsive500 {
        width: 500px;
    }
}
